GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
rust_parser Struct Reference

## Public Member Functions
| rust_parser (struct parser_state *state)
| ~rust_parser ()
rust_set_vector * | new_set_vector ()
rust_op_vector * | new_op_vector ()
const struct language_defn * | language () const
struct gdbarch * | arch () const

## Public Attributes
auto_obstack | obstack
const struct rust_op * | rust_ast
std::vector< std::unique_ptr< rust_set_vector > > | set_vectors
std::vector< std::unique_ptr< rust_op_vector > > | op_vectors
struct parser_state * | pstate

## Detailed Description

Definition at line 229 of file rust-exp.c.

## Constructor & Destructor Documentation

## ◆ rust_parser()

rust_parser::rust_parser | ( | struct parser_state * | state | ) |
| inline

Definition at line 231 of file rust-exp.c.

References current_parser, gdb_assert, obstack, and work_obstack.

## ◆ ~rust_parser()

rust_parser::~rust_parser | ( |  | ) |
| inline

Definition at line 240 of file rust-exp.c.

References current_parser, and work_obstack.

## Member Function Documentation

## ◆ arch()

struct gdbarch* rust_parser::arch | ( |  | ) | const
| inline

Definition at line 272 of file rust-exp.c.

References parse_gdbarch, and pstate.

Referenced by rust_lookup_type(), rust_type(), and yyparse().

## ◆ language()

const struct language_defn* rust_parser::language | ( |  | ) | const
| inline

Definition at line 266 of file rust-exp.c.

References parse_language, and pstate.

Referenced by rust_lookup_type(), rust_type(), and yyparse().

## ◆ new_op_vector()

rust_op_vector* rust_parser::new_op_vector | ( |  | ) |
| inline

Definition at line 258 of file rust-exp.c.

References op_vectors.

Referenced by yyparse().

## ◆ new_set_vector()

rust_set_vector* rust_parser::new_set_vector | ( |  | ) |
| inline

Definition at line 249 of file rust-exp.c.

References set_vectors.

Referenced by yyparse().

## Member Data Documentation

## ◆ obstack

auto_obstack rust_parser::obstack

Definition at line 278 of file rust-exp.c.

Referenced by rust_parser().

## ◆ op_vectors

std::vector<std::unique_ptr<rust_op_vector> > rust_parser::op_vectors

Definition at line 285 of file rust-exp.c.

Referenced by new_op_vector().

## ◆ pstate

struct parser_state* rust_parser::pstate

Definition at line 288 of file rust-exp.c.

Referenced by arch(), and language().

## ◆ rust_ast

const struct rust_op* rust_parser::rust_ast

Definition at line 281 of file rust-exp.c.

Referenced by rust_parse(), and yyparse().

## ◆ set_vectors

std::vector<std::unique_ptr<rust_set_vector> > rust_parser::set_vectors

Definition at line 284 of file rust-exp.c.

Referenced by new_set_vector().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/rust-exp.c